from PySide2 import QtWidgets


class FileListItem(QtWidgets.QListWidgetItem):
    """
    Widget to select file and save the absolute path of the file under
    self.file_path variable
    """
    def __init__(self, file_path, parent=None):
        super().__init__(file_path.name, parent,
                         type=QtWidgets.QListWidgetItem.UserType)
        self.file_path = file_path
